%define shortname tagpy

Name:		python-tagpy
Version:	0.94.8
Release:	%mkrel 1
Summary:	Python bindings for TagLib to read and write music files tags
License:	MIT
Group:		Development/Python
Url:		http://news.tiker.net/software/tagpy
Source0:	http://news.tiker.net/news.tiker.net/download/software/tagpy/tagpy-%{version}.tar.xz
Patch0:		tagpy-0.94.8-boostpython.patch
Patch1:		tagpy-0.94.8-overload.patch
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	taglib-devel
BuildRequires:	boost-devel

%description
TagPy is a Python crust (or a set of Python bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.

%prep
%setup -q -n %{shortname}-%{version}
%patch0 -p1 -b .boostpython
%patch1 -p1 -b .overload

%build
CFLAGS="%{optflags} `pkg-config --cflags taglib`" %{__python} setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc LICENSE README test/*.py test/tagrename
%{py_platsitedir}/%{shortname}/
%{py_platsitedir}/_%{shortname}.so
%{py_platsitedir}/%{shortname}-%{version}-py%{pyver}.egg-info


%changelog
* Tue Aug 13 2013 billybot <billybot> 0.94.8-1pclos2013
- update
